Package org.eclipse.rdf4j.http.server

## Class ClientHTTPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.rdf4j.http.server.HTTPException
      - - org.eclipse.rdf4j.http.server.ClientHTTPException

- All Implemented Interfaces:
    `Serializable`

      public class ClientHTTPException
      extends HTTPException

  HTTP-related exception indicating that an HTTP client has erred. Status codes for these types of errors are in the 4xx range. The default status code for constructors without a statusCode parameter is 400 Bad Request.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientHTTPException()` | Creates a `ClientHTTPException` with status code 400 "Bad Request".
    `ClientHTTPException​(int statusCode)` | Creates a `ClientHTTPException` with the specified status code.
    `ClientHTTPException​(int statusCode, String message)` | Creates a `ClientHTTPException` with the specified status code.
    `ClientHTTPException​(int statusCode, String message, Throwable t)` | Creates a `ClientHTTPException` with the specified status code.
    `ClientHTTPException​(int statusCode, Throwable t)` | Creates a `ClientHTTPException` with the specified status code.
    `ClientHTTPException​(String msg)` | Creates a `ClientHTTPException` with status code 400 "Bad Request".
    `ClientHTTPException​(String msg, Throwable t)` | Creates a `ClientHTTPException` with status code 400 "Bad Request".

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `setStatusCode​(int statusCode)` |

    - ### Methods inherited from class org.eclipse.rdf4j.http.server.HTTPException

      `getStatusCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientHTTPException

          public ClientHTTPException()

      Creates a `ClientHTTPException` with status code 400 "Bad Request".

    - #### ClientHTTPException

          public ClientHTTPException​(String msg)

      Creates a `ClientHTTPException` with status code 400 "Bad Request".

    - #### ClientHTTPException

          public ClientHTTPException​(String msg,
                                     Throwable t)

      Creates a `ClientHTTPException` with status code 400 "Bad Request".

    - #### ClientHTTPException

          public ClientHTTPException​(int statusCode)

      Creates a `ClientHTTPException` with the specified status code.
      Throws:
        `IllegalArgumentException` - If statusCode is not in the 4xx range.

    - #### ClientHTTPException

          public ClientHTTPException​(int statusCode,
                                     String message)

      Creates a `ClientHTTPException` with the specified status code.
      Throws:
        `IllegalArgumentException` - If statusCode is not in the 4xx range.

    - #### ClientHTTPException

          public ClientHTTPException​(int statusCode,
                                     String message,
                                     Throwable t)

      Creates a `ClientHTTPException` with the specified status code.
      Throws:
        `IllegalArgumentException` - If statusCode is not in the 4xx range.

    - #### ClientHTTPException

          public ClientHTTPException​(int statusCode,
                                     Throwable t)

      Creates a `ClientHTTPException` with the specified status code.
      Throws:
        `IllegalArgumentException` - If statusCode is not in the 4xx range.

  - ### Method Detail

    - #### setStatusCode

          protected void setStatusCode​(int statusCode)

      Overrides:
        `setStatusCode` in class `HTTPException`